#ifndef GUI_H
#define GUI_H

#include <qobject.h>
#include <qdialog.h>

class QPopupMenu;
class QListBoxItem;
class QListBox;
class LanguagesDialog;
class SettingsDialog;
class ColorButton;
class QCheckBox;

class Gui : public QObject
{
  Q_OBJECT

  int menuId;
  QPopupMenu *checkerMenu;
  LanguagesDialog* languagesDialog;
  SettingsDialog* settingsDialog;

  public:
    Gui();
    ~Gui();

  public slots:
    void ChooseLangs();
    void OpenSettings();
    void LanguagesDestroyed();
    void SettingsDestroyed();
};

class LanguagesDialog : public QDialog
{
  Q_OBJECT
	
  private:
    QListBox* availableListBox;
    QListBox* checkedListBox;
		
  public:
    LanguagesDialog();

  private slots:
    void loadItem(QListBoxItem* item);
    void unloadItem(QListBoxItem* item);
    void loadSelectedItem();
    void unloadSelectedItem();
};

class SettingsDialog : public QDialog
{
  Q_OBJECT
	
  private:
    ColorButton *colorButton;
    QCheckBox *boldBox;
    QCheckBox *italicBox;
    QCheckBox *underlineBox;
    QCheckBox *accentsBox;
    QCheckBox *caseBox;
  
  public:
    SettingsDialog();

  private slots:
    void Accept();
    void Cancel();
};

extern Gui* interface;

#endif
